Update celtclient to the new API.